Get Course Transferability

Returns a specific course and all transfer areas it satisfies for a given institution and academic year.

Api

Route
/Transferability/api/Courses/{courseIdentifierParentId}/Institution/{institutionId}/Year/{academicYearId}
Method
GET
Key Required
Yes
Common Response
No
Response Type
Course Transferability Result

Path Parameters

courseIdentifierParentId (integer)
The unique id of the course. Course ids are returned from Get Courses by Institution.
institutionId (integer)
The unique id of the institution. Institution ids are returned from Get Institutions.
academicYearId (integer)
The academic year to retrieve transferability data for. Academic year ids are returned from Get Academic Years.

Curl Example

curl -X 'GET' \
  'https://prod.assistng.org/Transferability/api/Courses/340948/Institution/110/Year/74' \
  -H 'accept: application/json' \
  -H 'API-Key':'<redacted>'
  • courseIdentifierParentId = 340948
  • institutionId = 110 (Allan Hancock College)
  • academicYearId = 74 (2023-2024)
  • API-Key = <redacted> (You’ll need to provide your own key.)

Sample Response

{
  "course": {
    "courseIdentifierParentId": 340948,
    "courseParentId": 340900,
    "courseTitle": "Introductory Chemistry",
    "courseNumber": "25",
    "prefix": "CHEM",
    "prefixParentId": 3868,
    "prefixDescription": "Chemistry",
    "departmentParentId": 2370,
    "department": "Chemistry and Biochemistry",
    "begin": "F2020",
    "beginDate": "2020-08-01T00:00:00",
    "beginTermId": 241,
    "end": "",
    "endDate": null,
    "endTermId": null,
    "minUnits": 3.00,
    "maxUnits": 3.00,
    "isTerminated": false,
    "hasOutline": true,
    "isCsuTransferable": true,
    "isUcTransferable": false,
    "crosslistedCourses": [],
    "pathways": []
  },
  "transferAreas": [
    {
      "areaType": "IGETC",
      "code": "1A",
      "name": "English Composition",
      "areaId": 12,
      "spans": [
        {
          "id": 101,
          "begin": {
            "yearTermCode": "F2020",
            "id": 241,
            "beginDate": "2020-08-01T00:00:00",
            "endDate": "2021-01-01T00:00:00",
            "description": "Fall 2020",
            "code": "F2020"
          },
          "end": null
        }
      ]
    }
    // ... additional transfer areas omitted for brevity
  ]
}

Course Transferability Result Model

course (Course)
The requested course.
transferAreas (Array of Transferability Area)
The transfer areas satisfied by this course for the requested institution and academic year.

Transferability Area Model

areaType (string)
The area type code (e.g. IGETC, CSUGE).
code (string)
The area’s short identifier (e.g. 1A, 2).
name (string)
The name of the area.
areaId (number)
The unique id of the area.
spans (Array of Area Span)
The year term ranges during which this area is active.

Area Span Model

Represents the active date range for a transferability area, expressed as beginning and ending Year Terms.

id (number)
The unique id of the span.
begin (Year Term)
The year term in which this area span begins.
end (Year Term)
The year term in which this area span ends. null if the span continues indefinitely.